---
title: Get CF1 Site
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Magic Transit](https://developers.cloudflare.com/api/python/resources/magic_transit)

[Cf1 Sites](https://developers.cloudflare.com/api/python/resources/magic_transit/subresources/cf1_sites)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get CF1 Site

magic\_transit.cf1\_sites.get(strcf1\_site\_id, Cf1SiteGetParams\*\*kwargs) -> [Cf1Site](<https://developers.cloudflare.com/api/python/resources/magic_transit#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)>)

GET/accounts/{account\_id}/magic/cf1\_sites/{cf1\_site\_id}

Gets a specific CF1 Site for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

account\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.cf1_sites%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

cf1\_site\_id: str

Identifier

maxLength32

[Link to this property](<#(resource)%20magic_transit.cf1_sites%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20cf1_site_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class Cf1Site: …

</summary>

name: str

A human-provided name describing the CF1 Site that should be unique within the account.

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

id: Optional\[str]

Identifier

maxLength32

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

created\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

description: Optional\[str]

A human-provided description of the CF1 Site.

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

location: Optional\[Cf1SiteLocation]

</summary>

lat: Optional\[float]

Latitude of the CF1 Site.

formatfloat

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)%20%3E%20(property)%20lat">Link to this property</a>

long: Optional\[float]

Longitude of the CF1 Site.

formatfloat

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)%20%3E%20(property)%20long">Link to this property</a>

name: Optional\[str]

Name of nearest town, city, or village.

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site_location%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20location">Link to this property</a>

modified\_on: Optional\[datetime]

formatdate-time

<a href="#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.cf1_sites%20%3E%20(model)%20cf1_site%20%3E%20(schema)>)

### Get CF1 Site

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
cf1_site = client.magic_transit.cf1_sites.get(
    cf1_site_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(cf1_site.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "name": "Pad 34",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "description": "Launch Pad 34",
    "location": {
      "lat": 28.521339842093845,
      "long": -80.56092644815843,
      "name": "Cape Canaveral"
    },
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "name": "Pad 34",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "description": "Launch Pad 34",
    "location": {
      "lat": 28.521339842093845,
      "long": -80.56092644815843,
      "name": "Cape Canaveral"
    },
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```